Loading...
Searching...
No Matches
osmium::iterator_range< It, P > Struct Template Reference

`#include <iterator.hpp>`

Inheritance diagram for osmium::iterator_range< It, P >:
[legend]
Collaboration diagram for osmium::iterator_range< It, P >:
[legend]

## Public Types

using | iterator = It

## Public Member Functions

| iterator_range (P &&p) noexcept
It | begin () const noexcept
It | end () const noexcept
bool | empty () const noexcept

## Member Typedef Documentation

## iterator

template<typename It, typename P = std::pair<It, It>>

using osmium::iterator_range< It, P >::iterator = It

## Constructor & Destructor Documentation

## iterator_range()

template<typename It, typename P = std::pair<It, It>>

osmium::iterator_range< It, P >::iterator_range | ( | P && | p | ) |

inlineexplicitnoexcept

## Member Function Documentation

## begin()

template<typename It, typename P = std::pair<It, It>>

It osmium::iterator_range< It, P >::begin | ( |  | ) | const

inlinenoexcept

## empty()

template<typename It, typename P = std::pair<It, It>>

bool osmium::iterator_range< It, P >::empty | ( |  | ) | const

inlinenoexcept

## end()

template<typename It, typename P = std::pair<It, It>>

It osmium::iterator_range< It, P >::end | ( |  | ) | const

inlinenoexcept

The documentation for this struct was generated from the following file:

- include/osmium/util/iterator.hpp